curl --request GET \
--url https://sandbox.axle.insure/policies/{policyId} \
--header 'x-access-token: <x-access-token>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.axle.insure/policies/{policyId}"
headers = {
"x-client-id": "<x-client-id>",
"x-access-token": "<x-access-token>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-client-id': '<x-client-id>',
'x-access-token': '<x-access-token>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.axle.insure/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.axle.insure/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-access-token: <x-access-token>",
"x-client-id: <x-client-id>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.axle.insure/policies/{policyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-access-token", "<x-access-token>")
req.Header.Add("x-client-secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.axle.insure/policies/{policyId}")
.header("x-client-id", "<x-client-id>")
.header("x-access-token", "<x-access-token>")
.header("x-client-secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.axle.insure/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-access-token"] = '<x-access-token>'
request["x-client-secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "pol_CbxGmGWnp9bGAFCC-eod2",
"account": "acc_gM2wn_gaqUv76ZljeVXOv",
"type": "auto",
"carrier": "state-farm",
"policyNumber": "123456789",
"effectiveDate": "2022-10-22T04:00:00.000Z",
"expirationDate": "2023-10-22T04:00:00.000Z",
"policyStatus": {
"cancellationDate": "2023-03-15T04:00:00.000Z",
"cancellationReason": "non-payment"
},
"premium": 999.99,
"amountDue": 125.5,
"underwriter": {
"name": "John Doe",
"naicCode": "12345"
},
"address": {
"addressLine1": "123 Fake St.",
"addressLine2": "Unit 456",
"city": "Atlanta",
"state": "Georgia",
"postalCode": "30315",
"country": "USA"
},
"coverages": [
{
"code": "BI",
"label": "Bodily Injury",
"limitPerPerson": 250000,
"limitPerAccident": 500000
},
{
"code": "PD",
"label": "Property Damage",
"limitPerAccident": 100000
},
{
"code": "COMP",
"label": "Comprehensive",
"deductible": 375,
"property": "prp_uSdzLVpi8c76H7kl6AQ-F"
},
{
"code": "COLL",
"label": "Collision",
"deductible": 375,
"property": "prp_uSdzLVpi8c76H7kl6AQ-F"
},
{
"code": "UMBI",
"label": "Uninsured Bodily Injury",
"limitPerPerson": 100000,
"limitPerAccident": 300000,
"property": "prp_uSdzLVpi8c76H7kl6AQ-F"
}
],
"exclusions": [
{
"code": "WIND",
"label": "Wind Exclusion"
}
],
"properties": [
{
"id": "prp_uSdzLVpi8c76H7kl6AQ-F",
"type": "vehicle",
"data": {
"vin": "SMTD44GN3HT812287",
"model": "CR-V",
"year": "2017",
"make": "HONDA",
"use": "pleasure"
}
}
],
"insureds": [
{
"firstName": "Armaan",
"lastName": "Sikand",
"dateOfBirthYear": "1993",
"licenseNo": "•••••7259",
"licenseState": "GA",
"dateOfBirth": null,
"type": "primary"
}
],
"thirdParties": [
{
"name": "Super Leasing Trust",
"type": "lessor",
"address": {
"addressLine1": "Po Box 105205",
"state": "GA",
"city": "Atlanta",
"postalCode": "30348"
}
}
],
"documents": [
{
"source": "carrier",
"name": "Declaration Page",
"type": [
"declaration-page"
],
"url": "<signed-url>",
"id": "doc_jd73dw6fn02sj28.pdf",
"issuedDate": "2022-01-01T00:00:00.000Z",
"effectiveDate": "2022-01-02T00:00:00.000Z",
"createdAt": "2022-01-01T00:00:00.000Z"
}
],
"createdAt": "2022-01-01T00:00:00.000Z",
"modifiedAt": "2022-01-01T00:00:00.000Z",
"refreshedAt": "2022-01-01T00:00:00.000Z",
"isActive": true,
"result": "link",
"resultDetail": "user-portal-login"
}
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "Unauthorized"
}{
"message": "Requested entity not found"
}{
"message": "Too Many Requests"
}Get Policy
The Get Policy endpoint returns a Policy object. Please refer to the Policy object for a detailed description of each field. Please note that this endpoint will NOT refresh the Policy object with new data from the insurance carrier.
curl --request GET \
--url https://sandbox.axle.insure/policies/{policyId} \
--header 'x-access-token: <x-access-token>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.axle.insure/policies/{policyId}"
headers = {
"x-client-id": "<x-client-id>",
"x-access-token": "<x-access-token>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-client-id': '<x-client-id>',
'x-access-token': '<x-access-token>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.axle.insure/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.axle.insure/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-access-token: <x-access-token>",
"x-client-id: <x-client-id>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.axle.insure/policies/{policyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-access-token", "<x-access-token>")
req.Header.Add("x-client-secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.axle.insure/policies/{policyId}")
.header("x-client-id", "<x-client-id>")
.header("x-access-token", "<x-access-token>")
.header("x-client-secret", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.axle.insure/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-access-token"] = '<x-access-token>'
request["x-client-secret"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "pol_CbxGmGWnp9bGAFCC-eod2",
"account": "acc_gM2wn_gaqUv76ZljeVXOv",
"type": "auto",
"carrier": "state-farm",
"policyNumber": "123456789",
"effectiveDate": "2022-10-22T04:00:00.000Z",
"expirationDate": "2023-10-22T04:00:00.000Z",
"policyStatus": {
"cancellationDate": "2023-03-15T04:00:00.000Z",
"cancellationReason": "non-payment"
},
"premium": 999.99,
"amountDue": 125.5,
"underwriter": {
"name": "John Doe",
"naicCode": "12345"
},
"address": {
"addressLine1": "123 Fake St.",
"addressLine2": "Unit 456",
"city": "Atlanta",
"state": "Georgia",
"postalCode": "30315",
"country": "USA"
},
"coverages": [
{
"code": "BI",
"label": "Bodily Injury",
"limitPerPerson": 250000,
"limitPerAccident": 500000
},
{
"code": "PD",
"label": "Property Damage",
"limitPerAccident": 100000
},
{
"code": "COMP",
"label": "Comprehensive",
"deductible": 375,
"property": "prp_uSdzLVpi8c76H7kl6AQ-F"
},
{
"code": "COLL",
"label": "Collision",
"deductible": 375,
"property": "prp_uSdzLVpi8c76H7kl6AQ-F"
},
{
"code": "UMBI",
"label": "Uninsured Bodily Injury",
"limitPerPerson": 100000,
"limitPerAccident": 300000,
"property": "prp_uSdzLVpi8c76H7kl6AQ-F"
}
],
"exclusions": [
{
"code": "WIND",
"label": "Wind Exclusion"
}
],
"properties": [
{
"id": "prp_uSdzLVpi8c76H7kl6AQ-F",
"type": "vehicle",
"data": {
"vin": "SMTD44GN3HT812287",
"model": "CR-V",
"year": "2017",
"make": "HONDA",
"use": "pleasure"
}
}
],
"insureds": [
{
"firstName": "Armaan",
"lastName": "Sikand",
"dateOfBirthYear": "1993",
"licenseNo": "•••••7259",
"licenseState": "GA",
"dateOfBirth": null,
"type": "primary"
}
],
"thirdParties": [
{
"name": "Super Leasing Trust",
"type": "lessor",
"address": {
"addressLine1": "Po Box 105205",
"state": "GA",
"city": "Atlanta",
"postalCode": "30348"
}
}
],
"documents": [
{
"source": "carrier",
"name": "Declaration Page",
"type": [
"declaration-page"
],
"url": "<signed-url>",
"id": "doc_jd73dw6fn02sj28.pdf",
"issuedDate": "2022-01-01T00:00:00.000Z",
"effectiveDate": "2022-01-02T00:00:00.000Z",
"createdAt": "2022-01-01T00:00:00.000Z"
}
],
"createdAt": "2022-01-01T00:00:00.000Z",
"modifiedAt": "2022-01-01T00:00:00.000Z",
"refreshedAt": "2022-01-01T00:00:00.000Z",
"isActive": true,
"result": "link",
"resultDetail": "user-portal-login"
}
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "Unauthorized"
}{
"message": "Requested entity not found"
}{
"message": "Too Many Requests"
}Authorizations
Headers
The client ID of the destination client. This is optional and only used by platform clients. See the Axle for Platforms guide for more information.
The access token required for access to the requested Account. Returned as part of Exchange Token.
Path Parameters
Query Parameters
Set to renewal if you would like to receive the renewal policy information. By default it returns the policy the insurance carrier designates as default (i.e. insurance might return either current or renewal term).
⚠️ Note If endpoint returns 404, it means no renewal or current policy is available. We recommend calling the API again without the term query parameter to receive the policy the insurance carrier designates as default.
current, renewal Response
Was this page helpful?